AccountsCreate a custom field

Create a custom field

POST /accounts/custom_fields

curl -X POST "https://app.bualpro.com/api/accounts/custom_fields" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "name": "lead_score",
  "type": 1
}'
{
  "id": 1995,
  "name": "lead_score"
}
POST
/accounts/custom_fields
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
typeinteger
Required

0 - text | 1 - number | 2 - date | 3 - datetime | 4 - true/false

Options: 0, 1, 2, 3, 4
valuestring

The value of the bot field. It is ignored for the contact custom field.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
namestring
Required
Example:
Johan Ahmad
typeinteger
Required

0 - text | 1 - number | 2 - date | 3 - datetime | 4 - true/false

Allowed values:01234
valuestring

The value of the bot field. It is ignored for the contact custom field.

Responses

idinteger

The ID of the new custom field

namestring

Create a custom field